{
  "C_Cpp.errorSquiggles": "disabled",
  "files.associations": {
    "base.h": "c",
    "elog.h": "c",
    "cmath": "c",
    "stdio.h": "c",
    "cmsis_os.h": "c",
    "stm32f407xx.h": "c",
    "mb.h": "c",
    "mbport.h": "c",
    "cmsis_os2.h": "c",
    "portmacro.h": "c",
    "app.h": "c",
    "main.h": "c",
    "led.h": "c",
    "menu.h": "c",
    "freertosconfig.h": "c",
    "string.h": "c",
    "stm32f4xx.h": "c",
    "stm32f4xx_hal.h": "c",
    "algorithm": "c",
    "stdlib.h": "c",
    "menu_port.h": "c",
    "config.h": "c",
    "freertos.h": "c",
    "fatfs_platform.h": "c",
    "stddef.h": "c",
    "max3160.h": "c",
    "time_clock.h": "c",
    "array": "c",
    "deque": "c",
    "string": "c",
    "unordered_map": "c",
    "vector": "c",
    "string_view": "c",
    "initializer_list": "c",
    "wh_lte_7s4_v2.h": "c",
    "utility": "c",
    "myuart_demo.h": "c",
    "myuart.h": "c",
    "font.h": "c",
    "stdbool.h": "c",
    "lvgl.h": "c",
    "lv_obj.h": "c",
    "lv_flex.h": "c",
    "*.tcc": "c",
    "ili93xx.h": "c",
    "lv_port_disp.h": "c",
    "fsmc.h": "c",
    "lv_hal_tick.h": "c",
    "lv_demo_stress.h": "c",
    "lv_demo_benchmark.h": "c",
    "task.h": "c",
    "sensor.h": "c",
    "touch.h": "c",
    "ui.h": "c",
    "lv_port_indev.h": "c",
    "lv_event.h": "c",
    "lv_obj_tree.h": "c",
    "lv_textarea.h": "c",
    "typeinfo": "c",
    "usbd_cdc_if.h": "c",
    "port.h": "c",
    "eeprom.h": "c",
    "ds1302.h": "c",
    "i2c_ads1115.h": "c",
    "ph.h": "c"
  },
  "C_Cpp_Runner.msvcBatchPath": "",
  "C_Cpp_Runner.cCompilerPath": "gcc",
  "C_Cpp_Runner.cppCompilerPath": "g++",
  "C_Cpp_Runner.debuggerPath": "gdb",
  "C_Cpp_Runner.cStandard": "",
  "C_Cpp_Runner.cppStandard": "",
  "C_Cpp_Runner.useMsvc": false,
  "C_Cpp_Runner.warnings": [
    "-Wall",
    "-Wextra",
    "-Wpedantic",
    "-Wshadow",
    "-Wformat=2",
    "-Wcast-align",
    "-Wconversion",
    "-Wsign-conversion",
    "-Wnull-dereference"
  ],
  "C_Cpp_Runner.msvcWarnings": [
    "/W4",
    "/permissive-",
    "/w14242",
    "/w14287",
    "/w14296",
    "/w14311",
    "/w14826",
    "/w44062",
    "/w44242",
    "/w14905",
    "/w14906",
    "/w14263",
    "/w44265",
    "/w14928"
  ],
  "C_Cpp_Runner.enableWarnings": true,
  "C_Cpp_Runner.warningsAsError": false,
  "C_Cpp_Runner.compilerArgs": [],
  "C_Cpp_Runner.linkerArgs": [],
  "C_Cpp_Runner.includePaths": [],
  "C_Cpp_Runner.includeSearch": [
    "*",
    "**/*"
  ],
  "C_Cpp_Runner.excludeSearch": [
    "**/build",
    "**/build/**",
    "**/.*",
    "**/.*/**",
    "**/.vscode",
    "**/.vscode/**"
  ],
  "C_Cpp_Runner.useAddressSanitizer": false,
  "C_Cpp_Runner.useUndefinedSanitizer": false,
  "C_Cpp_Runner.useLeakSanitizer": false,
  "C_Cpp_Runner.showCompilationTime": false,
  "C_Cpp_Runner.useLinkTimeOptimization": false
}